
// @import './config.scss'
@import './fonts.scss'
// @import ./global
// @import ./header
// @import ./nav

.title
    font-family: KrungsriSimple
    font-size: 30px
    font-weight: bold
    font-stretch: normal
    font-style: normal
    line-height: 1
    letter-spacing: 0.15px
    color: #ffd400

@media (min-width: 576px)
    .modal-dialog 
        max-width: 750px

.modal-backdrop
    &.show
        opacity: .7

.footer-facebook-icon
    background-image: url('../KSC_Support/Assets/Social Icon/f_logo_white.svg')

.font-krungsri
    font-family: Krungsri !important
.modal
    height: 100vh
    .modal-content
        width: 100%
        max-width: 750px
        height: auto
        .iframe-container
            position: relative
            padding-top: calc(100% * (9 / 16))
            iframe
                position: absolute
                left: 0
                width: 100%
                top: 0
                height: 100%
                bottom: 0
                right: 0
            



@keyframes textWillIn
    0% 
        transform: translate3d(0px,70px,0px)
        opacity: 0
    100% 
        transform:  translate3d(0px,0px,0px)
        opacity: 1

.trans-text-fade-up
    transform: translate3d(0px,100px,0px)
    opacity: 0
    transition: all 2s ease-out

    &-half
        transform: translate3d(0px,100px,0px)
        opacity: 0
        transition: all 3s ease-out

    &-one
        opacity: 0
        transition: all 3s ease-out 1s



.trans-text-fade-up-sec03
    transform: translate3d(0px,100px,0px)
    opacity: 0
    transition: all 2s ease-out

    &-half
        transform: translate3d(0px,100px,0px)
        opacity: 0
        transition: all 3s ease-out

    &-one
        transform: translate3d(0px,100px,0px)
        opacity: 0
        transition: all 2s ease-out .5s

    &-one-half
        opacity: 0
        transition: all 2s ease-out 1.5s


.trans-text-fade-up-sec04
    transform: translate3d(0px,100px,0px)
    opacity: 0
    transition: all 2s ease-out

    &-half
        transform: translate3d(0px,100px,0px)
        opacity: 0
        transition: all 3s ease-out

    &-one
        transform: translate3d(0px,100px,0px)
        opacity: 0
        transition: all 2s ease-out .5s

    &-one-half
        opacity: 0
        transition: all 2s ease-out 1.5s

    


@keyframes openUp
    0% 
        opacity: 0
    50% 
        opacity: 0
    100% 
        opacity: 1
    
.wrap-player
    .video-player
        width: 56px
        height: 56px
        opacity: 0.9
        border: solid 1px #ffffff
        border-radius: 50%
        padding: 15px 14px 12px 18px
        svg, img
            height: 25px !important
            width: 20px !important

footer
    z-index: 1 !important

body
    .swiper-container
        z-index: 2
    .wrap-joined-us
        .wrap-nav-icon 
            clip-path: circle( 21px at calc(100% - 60px) 83px)
            -webkit-clip-path: circle( 21px at calc(100% - 60px) 83px)
            .wrap-close-icon
                margin-top: 57px
.section01
    background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Destop-Tablet/Layer3-Jpeg-VDO_Opacity45@2x.jpg')
    background-size: cover !important
    background-position: bottom !important
    position: absolute
    left: 0
    right: 0
    top: 0
    height: 100vh
    width: 100%

    &::after
        content: ''
        top: 0
        left: 0
        width: 100%
        height: 100%
        opacity: .55
        background-color: #000000
        position: absolute

    .swiper-container
        // content: ''
        background-size: cover
        // position: absolute
        // left: 0
        // right: 0
        // top: 0
        
        height: 100vh
        width: 100%
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Destop-Tablet/Layer2-Middle.png')
        &::before
            content: ''
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Destop-Tablet/Layer1-Top_Line1.png')
            animation: hideAndShow 4s linear infinite
            background-size: cover
            position: fixed
            left: 0
            right: 0
            top: 0
            height: 100vh
            width: 100%

        &::after
            content: ''
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Destop-Tablet/Layer1-Top_Line2.png')
            animation: hideAndShow 3s linear infinite
            background-size: cover
            position: fixed
            left: 0
            right: 0
            top: 0
            height: 100vh
            width: 100%

.swiper-slide[data-bg="section01"]
    .overlay-layer
        background-size: cover
        background-repeat: no-repeat
        
        position: absolute
        left: 0
        right: 0
        top: 0
        height: 100vh
        width: 100%

        // &::before
        //     content: ''
        //     background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Destop-Tablet/Layer1-Top_Line1.png')
        //     animation: hideAndShow 4s linear infinite
        //     background-size: cover
        //     position: absolute
        //     left: 0
        //     right: 0
        //     top: 0
        //     height: 100vh
        //     width: 100%

        // &::after
        //     content: ''
        //     background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Destop-Tablet/Layer1-Top_Line2.png')
        //     animation: hideAndShow 3s linear infinite
        //     background-size: cover
        //     position: absolute
        //     left: 0
        //     right: 0
        //     top: 0
        //     height: 100vh
        //     width: 100%

    .text-fade-up
        animation: textWillIn 2s ease-out
        &-half
            animation: textWillIn 3s ease-out 
        &-one
            animation: openUp 3s ease-out 

    .wrap-real-player-title 
        h2
            margin-bottom: 50px
            
        .wrap-player
            margin-bottom: 38px
            .video-player
                width: 56px
                height: 56px
                opacity: 0.9
                border: solid 1px #ffffff
                border-radius: 50%
                padding: 15px 14px 12px 18px
                svg
                    height: 25px !important
                    width: 20px !important

        .player-title
            font-family: KrungsriSimple
            font-size: 18px
            font-weight: 500
            font-stretch: normal
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            color: #ffffff
            align-items: center
            display: flex
            margin-left: 15px

.wrap-partner-img
    display: grid
    grid-template-rows: auto auto
    grid-template-columns: auto auto auto auto
    width: max-content
    -moz-width: max-content 
    grid-gap: 5px
    img
        width: 77px
        height: 31px

.section02
    .trans-text-fade-up
        transform:  translate3d(0px,0px,0px)
        opacity: 1
        &-half
            transform:  translate3d(0px,0px,0px)
            opacity: 1

        &-one
            opacity: 1
            
    &::before
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Destop-Tablet/Section3_Image-02.jpg')
        // opacity: .7
        // background-color: #000

    &.slide01::before
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Destop-Tablet/Section3_Image-02.jpg')
    &.slide02::before
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Destop-Tablet/Section3_Image-03.jpg')
    &.slide03::before
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Destop-Tablet/Section3_Image-04.jpg')
    &.slide04::before
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Destop-Tablet/Section3_Image-05.jpg')
        

    &::after
        content: ''
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Destop-Tablet/Landing_Section2_BG_Desktop1440W.png')
        background-size: cover
        background-repeat: no-repeat
        position: absolute
        left: 0
        right: 0
        top: 0
        height: 100vh
        width: 100%
        background-color: rgba(0, 0, 0, .3)

.swiper-slide[data-bg="section02"]

    .wrap-content-left
        .title
            font-family: KrungsriSimple
            font-size: 30px
            font-weight: bold
            font-stretch: normal
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            color: #ffd400

        .career
            font-family: KrungsriSimple
            font-size: 80px
            font-weight: bold
            font-stretch: normal
            font-style: normal
            line-height: 1.13
            letter-spacing: 0.15px
            color: #ffffff

        .position
            font-family: KrungsriSimple
            font-size: 22px
            font-weight: normal
            font-stretch: normal
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            color: #ffffff
            margin-top: 10px

        .position-desc 
            opacity: 0.46
            font-family: Krungsri
            font-size: 18px
            font-weight: normal
            font-stretch: condensed
            font-style: normal
            line-height: 1.11
            letter-spacing: 0.15px
            color: #ffffff
            margin-top: 20px
            margin-bottom: 70px

        .nav-tabs
            display: flex
            width: 100%
            border-bottom: 0
            border-top: 1px solid #dee2e610
            min-height: 38px
            .active[data-toggle=tab]
                color: #ffd400
                // border-top: 5px solid #ffd400
                
                background-image: url('../KSC_Support/Assets/Function Icon/Slide-Tab.svg')
                background-size: contain
                background-position: top
                background-repeat: no-repeat
            li
                flex-shrink: 1
                flex-grow: 1
                height: 100%
                display: flex
                
                a
                    font-family: KrungsriSimple
                    font-size: 20px
                    font-weight: 500
                    font-stretch: normal
                    font-style: normal
                    line-height: 1.1
                    letter-spacing: normal
                    color: #ffffff
                    width: 100%
                    margin-top: 2.5px
                    padding-top: 25px

        .wrap-link
            margin-top: 70px
            display: flex
            justify-content: flex-start
            a
                font-family: Krungsri
                font-size: 18px
                font-weight: normal
                font-stretch: condensed
                font-style: normal
                line-height: 1
                letter-spacing: 0.15px
                color: #c6d5d2

        .wrap-detail
            p
                width: auto
    
            
.section03
    .trans-text-fade-up-sec03
        transform:  translate3d(0px,0px,0px)
        opacity: 1
        &-half
            transform:  translate3d(0px,0px,0px)
            opacity: 1

        &-one, &-one-half
           opacity: 1

        &-one
            transform: translate3d(0px,0px,0px)

    &::before
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section03/Landing_Section3_BG_Desktop1440W.jpg')
    .nav-text
        color: #000000

    footer

        .copy-right
            color: #000000
        .follow-text
            color: #000000

    .swiper-container 
        .swiper-pagination-bullets 
            .swiper-pagination-bullet
                opacity: .3
                .bullet-nav
                    background-color: #00000094
                &.swiper-pagination-bullet-active 
                    opacity: 1
                    .bullet-nav
                        background-color: #000000

.swiper-slide[data-bg="section03"]
    .title
        font-family: KrungsriSimple
        font-size: 30px
        font-weight: bold
        font-stretch: normal
        font-style: normal
        line-height: 1
        letter-spacing: 0.15px
        color: #364546
    
    .quote
        object-fit: contain
        font-family: Krungsri
        font-size: 25px
        font-weight: 500
        font-stretch: normal
        font-style: normal
        line-height: 1.6
        letter-spacing: 0.12px
        color: #000000

    .RP-picture
        border-radius: 50%
        height: auto
        max-width: 300px

    .wrap-content-left
        #real-player
            .wrap-detail-bottom
                justify-content: flex-start
                .linear
                    width: 55px
                    height: 1px
                    background-color: #000
                    margin-right: 10px
                    margin-left: 0
                .wrap-right-section
                    text-align: left
                    h4
                        font-family: Krungsri
                        font-size: 20px
                        font-weight: 400
                        font-stretch: normal
                        font-style: normal
                        line-height: 1.3
                        letter-spacing: 0.12px
                        color: #000000

                    span
                        font-family: Krungsri
                        font-size: 16px
                        font-weight: normal
                        font-stretch: condensed
                        font-style: normal
                        line-height: 1
                        letter-spacing: 0.15px
                        color: #000000


    .wrap-play-controller
        &:hover:before
            background-color: #000

        &:hover
            span
                color:#FFF !important
            .wrap-play-controller-icon
                opacity: 1
            .wrap-play-controller-icon
                // opacity: 1
                .player-controller
                    
                    background-position: center
                    background-size: contain
                    background-repeat: no-repeat
                    background-image: url('../KSC_Support/Assets/Function Icon/PlayVDO_lighter.svg')             
                    
        .wrap-play-controller-icon
            position: relative
            border: solid 1px #000000
            margin-right: 15px
            z-index: 2
            .player-controller
                position: relative
                z-index: 2
                width: 24px
                height: 24px
                background-image: url('../KSC_Support/Assets/Function Icon/PlayVDO.svg')
                background-position: center
                background-size: contain
                background-repeat: no-repeat
        span
            position: relative
            z-index: 2
            font-family: KrungsriSimple
            font-size: 18px
            font-weight: 500
            font-stretch: normal
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            color: #000000

    .carousel-control-prev, .carousel-control-next
        position: relative

    .wrap-slide-involve
        margin-top: 55px
        .indicator
            opacity: 0.6
            font-family: Krungsri
            font-size: 16px
            font-weight: normal
            font-stretch: condensed
            font-style: normal
            line-height: 1
            letter-spacing: 0.15px
            text-align: right
            color: #000000

    
.section04
    .trans-text-fade-up-sec04
        transform:  translate3d(0px,0px,0px)
        opacity: 1
        &-half
            transform:  translate3d(0px,0px,0px)
            opacity: 1

        &-one, &-one-half
           opacity: 1

        &-one
            transform: translate3d(0px,0px,0px)

    &::before
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section04/Landing_Section4_BG_Desktop1440W.jpg')
        // background-position: top
        // background-size: cover

.swiper-slide[data-bg="section04"]
    .wrap-slide-involve
        margin-top: 45px
        .wrap-carousel-control
            width: max-content
            -moz-width: max-content 
    #jobs-offer
        .carousel-inner
            .carousel-item
                // height: 264px
                opacity: 0
                transition: opacity 1s ease-in-out
                &.active
                    transition: opacity 1s ease-in-out
                    opacity: 1
                // .position
                //     font-family: Krungsri
                //     font-size: 30px
                //     font-weight: normal
                //     font-stretch: condensed
                //     font-style: normal
                //     line-height: 1
                //     letter-spacing: 0.15px
                //     color: #ffffff

                .career
                    // text-shadow: 0 10px 30px rgba(42, 51, 54, 0.35)
                    font-family: KrungsriSimple
                    // font-size: 80px
                    // font-weight: bold
                    // font-stretch: normal
                    // font-style: normal
                    line-height: 1
                    // letter-spacing: 0.15px
                    // color: #ffffff
                    margin-bottom: 20px



.section05
    .trans-text-fade-up
        transform:  translate3d(0px,0px,0px)
        opacity: 1
        &-half
            transform:  translate3d(0px,0px,0px)
            opacity: 1
        &-one
            animation: openUp 3s ease-out 
            opacity: 1

    .swiper-slide[data-bg="section05"]
        &::before
            animation: openUp 2s ease-in-out
            opacity: 1

    &::after
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section05/KSC-BG2-Section5.jpg')
        // background-position: top
        background-repeat: no-repeat
        // background-size: cover !important
        // background-color: #364546

.swiper-slide[data-bg="section05"]
    position: relative
    &::before
        content: ""
        position: absolute
        left: 0
        right: 0
        opacity: 0
        top: 0
        height: 100%
        width: 100%
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section05/KSC-BG1-Section5.png')
        background-size: contain
        background-position: center
        background-repeat: no-repeat
    .wrap-content-left
        padding-top: 150px
        h2
            font-family: KrungsriSimple
            font-size: 70px
            font-weight: bold
            font-stretch: normal
            font-style: normal
            line-height: 1.06
            letter-spacing: 0.15px
            text-align: right
            color: #ffffff

        p 
            font-family: Krungsri
            font-size: 28px
            font-weight: normal
            font-stretch: condensed
            font-style: normal
            line-height: 1.21
            letter-spacing: 0.15px
            text-align: right
            color: #ffffff

        .wrap-link-section
            margin-top: 90px
            span
                font-family: Krungsri
                font-size: 18px
                font-weight: normal
                font-stretch: condensed
                font-style: normal
                line-height: 1
                letter-spacing: 0.15px
                color: #ffffff
            
            // a
                // span
                //     font-family: Krungsri
                //     font-size: 18px
                //     font-weight: 500
                //     font-stretch: normal
                //     font-style: normal
                //     line-height: 1
                //     letter-spacing: 0.15px
                //     color: #ffffff
                //     z-index: 1
                //     position: relative

.wrap-decide
    margin-left: 25px

.section01 , .section02 , .section03 , .section04 , .section05
    min-height: 100vh
    &::before
        content: ''
        background-size: cover
        position: absolute
        left: 0
        right: 0
        top: 0
        height: 100vh
        width: 100%

.section02 , .section03 , .section04 , .section05
    background-image: unset !important


@keyframes hideAndShow 
    0%   
        opacity: 1
    50%  
        opacity: 0
    100% 
        opacity: 1

@media screen and ( max-width:  990px)
    body 
        overflow: hidden
        .swiper-container
            // overflow: scroll
            // overflow-y: scroll
            // -webkit-overflow-scrolling: touch
            overflow: scroll
            &> *
                transform: translate3d(0, 0, 0)
            .swiper-wrapper
                display: flex
                flex-direction: column
                height: fit-content
                -moz-height: fit-content 
                min-height: calc(100% + 1px)

        .swiper-slide
            height: fit-content !important
            -moz-height: fit-content !important
            min-height: 100vh
            // margin-top: 35px
            // margin-bottom: 35px

        .swiper-pagination
            right: 15px
            top: calc( 50% - 50px )
            position: fixed

    h1
        font-size: 40px
        font-weight: bold

    h2
        font-size: 18px
        font-weight: normal

    .section01
        background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Mobile/Layer3-Jpeg-VDO_Opacity45_Mobile375W.jpg')

        .swiper-container
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Mobile/Layer2-Middle_Mobile375W@1x.png')
            &::before
                content: ''
                background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Mobile/Layer1-Top_Line1_Mobile375W@1x.png')
            &::after
                content: ''
                background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Mobile/Layer1-Top_Line2_Mobile375W@1x.png')

    .swiper-slide[data-bg="section01"]
        height: fit-content !important
        min-height: 100vh

        h1
            font-family: KrungsriSimple
            font-size: 40px
            font-weight: bold
            font-stretch: normal
            font-style: normal
            line-height: 1.13
            letter-spacing: 0.15px
            color: #ffffff

        h2
            font-family: Krungsri
            font-size: 18px
            font-weight: normal
            font-stretch: condensed
            font-style: normal
            line-height: 1.33
            letter-spacing: 0.15px
            color: #ffffff
        // .overlay-layer
            // background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Mobile/Layer2-Middle_Mobile375W@1x.png')
            // &::before
            //     content: ''
            //     background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Mobile/Layer1-Top_Line1_Mobile375W@1x.png')
            // &::after
            //     content: ''
            //     background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section01/Mobile/Layer1-Top_Line2_Mobile375W@1x.png')

        .container
            margin-top: 110px
            .wrap-real-player-title
                margin-top: auto

                h2
                    margin-top: 0 !important
                    margin-bottom: 30px

        .wrap-partner-img
            grid-template-columns: auto auto

    .section02
        &::before
            content: ''
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Mobile/Section3_Image-01_Mobile375W@1x.jpg')
        &::after
            content: ''
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Mobile/Landing_Section2_BG_Mobile375W.png')

        &.slide01::before
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Mobile/Section3_Image-02_Mobile375W@1x.jpg')
        &.slide02::before
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Mobile/Section3_Image-03_Mobile375W@1x.jpg')
        &.slide03::before
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Mobile/Section3_Image-04_Mobile375W@1x.jpg')
        &.slide04::before
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section02/Mobile/Section3_Image-05_Mobile375W@1x.jpg')

    .swiper-slide[data-bg="section02"]
        .container
            margin-top: 145px
            .wrap-content-left 
                .wrap-decide
                    margin-left: 0
                    margin-right: auto
                .title
                    font-size: 24px
                    font-weight: bold

                .career
                    font-size: 40px
                    font-weight: bold

                .position
                    font-size: 18px
                    font-weight: normal

                .position-desc
                    font-size: 18px
                    font-weight: normal
                    margin-top: 10px
                    margin-bottom: 15px

                .nav-tabs
                    overflow-x: scroll
                    overflow-y: hidden
                    height: fit-content
                    -moz-height: fit-content 
                    width: 100%
                    flex-wrap: nowrap
                    li
                        flex-basis: 110px

                .nav-tabs
                    margin-right: -15px
                    li
                        min-width: 110px
                        a
                            font-family: KrungsriSimple
                            font-size: 14px
                            font-weight: 500
                            font-stretch: normal
                            font-style: normal
                            line-height: 1.14
                            letter-spacing: normal
                            color: #ffffff
                            padding-bottom: 25px
                            &.active
                                color: #ffd400

                .wrap-link
                    a
                        flex-direction: row
                        flex-wrap: nowrap
                        display: flex


            .wrap-detail
                flex-direction: column
                margin-bottom: 50px

    .section03
        &::before
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section03/Landing_Section3_BG_Mobile375W.jpg')
            background-size: cover

    .swiper-slide[data-bg="section03"]
        .title
            font-size: 24px
            
        .rpy-img
            order: 2
            padding-top: 10px !important


        .RP-picture
            margin-left: auto

        .wrap-play-controller
            display: flex
            justify-content: flex-start
            margin-bottom: 20px
            span
                font-size: 18px
                font-weight: 500
                font-stretch: normal
                font-style: normal
                line-height: 1
                letter-spacing: 0.15px
                color: #000000

        .wrap-title
            margin-top: 60px
            margin-bottom: 0px

        #real-player
            margin-top: 0px
            margin-bottom: 290px
            .quote
                font-size: 18px !important
                line-height: 1.4
                font-family: Krungsri
            .wrap-detail-bottom 
                margin-top: 25px !important
                .wrap-right-section
                    h4
                        font-size: 16px !important
                        line-height: 1.2 !important
                    span
                        font-style: 14px !important
                        line-height: 1 !important
            .wrap-slide-involve
                margin-top: 25px !important

            .carousel-inner
                .carousel-item
                    .row
                        .wrap-text-content
                            order: 1
                        .col-lg-4
                            order: 2
                        .wrap-detail-bottom
                            order: 3

    .title
        font-size: 24px

    .section04
        &::before
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section04/Landing_Section4_BG_Mobile375W.jpg')
            background-size: cover
            background-position: top

    .swiper-slide[data-bg="section04"]
        #jobs-offer
            .career
                font-size: 40px
                font-weight: bold

            .position
                font-size: 18px
                font-weight: normal

    .section05
        &::after
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section05/KSC-BG2-Section5-mobile.png')

        // .swiper-container
            
            

    .swiper-slide[data-bg="section05"]
        &::before
            content: ""
            position: absolute
            left: 0
            right: 0
            top: 0
            height: 100%
            width: 100%
            background-size: cover
            background-position: top
            background-image: url('../KSC_Support/Background-Element_Layer/Landing page/Landing_page-Section05/KSC-BG1-Section5-mobile.png')
        .wrap-content-left
            padding-top: 150px
            h2
                font-size: 30px
                font-weight: bold
                padding-right: 30px

            p
                font-size: 18px
                font-weight: normal
                padding-right: 30px

            .wrap-link-section
                margin-top: 0
                flex-direction: column
                justify-self: start !important
                span
                    font-size: 18px !important
                    text-align: right
                    padding-right: 30px
                .wrap-decide
                    margin-top: 30px
                    span
                        padding-right: 0


@media screen and ( max-width: 1366px  ) 
    body
        header
            .wrap-nav-icon 
                z-index: 1000
                position: relative
                // height: 0 !important
        .swiper-container
            position: fixed !important
            top: 0
            left: 0
            width: 100% !important
            overflow-y: scroll !important
            z-index: 998
            
            &> *
                -webkit-transform: translateZ(0px)
            &::after
                content: ""
                height: calc(100% + 1px)
                position: absolute
                width: 100%
                left: 0
                top: 0
            

        .swiper-slide
            height: fit-content !important
            -moz-height: fit-content !important
            min-height: 100vh

        .swiper-pagination
            right: 15px
            top: calc( 50% - 50px )
            position: fixed


@media screen and ( max-width: 1366px  ) and (min-width: 991px)
        body 
            &.section01
                background-position: bottom
                
            .swiper-container
                .container 
                    padding-left: 150px
                    h1
                        font-size: 10vh !important
                .swiper-slide[data-bg=section01] 
                    display: flex
                    min-height: 100vh
                    padding-bottom: 0
                    .container
                        margin-top: auto
                        margin-bottom: auto
                        h1
                            line-height: 1

                .swiper-slide[data-bg=section02] 
                    .wrap-content-left 
                        .position-desc
                            overflow: hidden
                            text-overflow: ellipsis
                            display: -webkit-box
                            -webkit-line-clamp: 3
                            -webkit-box-orient: vertical
                            line-height: 1.2 !important
                            margin-top: 10px
                            margin-bottom: 50px

                .swiper-slide[data-bg=section03] 
                    .container
                        padding-left: 60px
                        .wrap-slide-involve
                            margin-top: 25px
                        .carousel-inner
                            .carousel-item
                                .row
                                    justify-content: flex-start !important

                        .nav-tabs 
                            li 
                                a
                                    padding-left: 10px
                                    padding-right: 10px
                                    line-height: 1.2 !important
                    .wrap-detail
                        .wrap-decide
                            margin-top: 12px

                .swiper-slide[data-bg=section05] 
                    .wrap-content-left 
                        padding-bottom: 120px
                        .wrap-link-section
                            margin-top: 50px

                        h2
                            font-size: 9vh

                        .wrap-link-section
                            margin-top: 0px

                .swiper-slide[data-bg=section02] 
                    .wrap-content-left 
                        .nav-tabs 
                            li 
                                width: calc( 100% / 5 )
                                a
                                    font-size: 16px

                .swiper-slide
                    min-height: auto
                    padding-top: 75px
                    padding-bottom: 75px
                    &:nth-child(1)
                        padding-top: 0
                    &:last-child
                        padding-bottom: 0

        